Cyberduck Mountain Duck CLI

#4117 closed defect (fixed)

ODB editor event for unknown file

Reported by: JasonH Owned by: dkocher
Priority: normal Milestone:
Component: core Version: 3.4.1
Severity: major Keywords:
Cc: Architecture:
Platform: Mac OS X 10.7

Description

I am getting the same issue as reported in Ticket #1244 except with Snow Leopard (10.6.1) and Cyberduck (3.3 5550). However if I open the file again in the external editor Cyberduck will upload when I save.

I'm using TextMate but I've had the same problem in other supported editors like MacVIM and Espresso.

Console Message:

1/19/10 10:49:18 AM	Cyberduck[769]	handleModifiedFileEvent: Got ODB editor event for unknown file.

Change History (8)

comment:1 Changed on Jan 19, 2010 at 7:10:23 PM by jason

Just updated to newest version on Cyberduck homepage (which wasn't being reported in self updater). Still same issue with Cyberduck 3.4.1 5780

comment:2 Changed on Jan 19, 2010 at 7:19:12 PM by Jasonh

Same issue with same Console message in newest nightly build (3.4.1 5785)

comment:3 Changed on Jan 20, 2010 at 1:31:58 PM by dkocher

  • Summary changed from Snow Leopard: Saving file in external editor doesn't cause upload to ODB editor event for unknown file

comment:4 Changed on Mar 18, 2010 at 5:00:20 PM by jasonh

Still an issue with the Cyberduck 5831 nightly build

comment:5 Changed on Apr 1, 2010 at 4:31:33 PM by dkocher

  • Milestone 3.5 deleted
  • Platform set to Mac OS X 10.6
  • Resolution set to worksforme
  • Status changed from new to closed

I cannot replicate this but as of r5886 you can disable the ODB editor support and instead work with the file notifications editor support now available. Use

defaults write ch.sudo.cyberduck editor.odb.enable false

in Terminal.app and restart Cyberduck.

comment:6 follow-up: Changed on Jul 20, 2011 at 11:08:46 PM by Nebagakid

  • Platform changed from Mac OS X 10.6 to Mac OS X 10.7
  • Resolution worksforme deleted
  • Status changed from closed to reopened

Having this issue in Lion with SubEthaEdit, changed the defaults in Terminal.app and it is working again.

Last edited on Jul 20, 2011 at 11:10:44 PM by Nebagakid (previous) (diff)

comment:7 in reply to: ↑ 6 Changed on Jul 21, 2011 at 8:21:21 AM by dkocher

Replying to Nebagakid:

Having this issue in Lion with SubEthaEdit, changed the defaults in Terminal.app and it is working again.

We track this in the new issue #6093.

comment:8 Changed on Jul 29, 2011 at 6:05:40 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software